Subject: Re: linux-next: build warning after merge of the char-misc tree

From: Greg KH <[email-masked]>
Date: Tue, 6 Apr 2021 19:33:33 +0200

On Tue, Apr 06, 2021 at 05:28:36PM +0000, Gustavo Pimentel wrote:
> On Tue, Apr 6, 2021 at 15:15:40, Greg KH <[email-masked]> wrote:
> 
> > On Tue, Apr 06, 2021 at 02:13:53PM +0000, Gustavo Pimentel wrote:
> > > On Tue, Apr 6, 2021 at 15:7:23, Greg KH <[email-masked]> wrote:
> > > 
> > > > On Tue, Apr 06, 2021 at 09:44:41PM +1000, Stephen Rothwell wrote:
> > > > > Hi all,
> > > > > 
> > > > > After merging the char-misc tree, today's linux-next build (htmldocs)
> > > > > produced this warning:
> > > > > 
> > > > > Documentation/misc-devices/dw-xdata-pcie.rst:20: WARNING: Unexpected indentation.
> > > > > Documentation/misc-devices/dw-xdata-pcie.rst:24: WARNING: Unexpected indentation.
> > > > > Documentation/misc-devices/dw-xdata-pcie.rst:25: WARNING: Block quote ends without a blank line; unexpected unindent.
> > > > > Documentation/misc-devices/dw-xdata-pcie.rst:30: WARNING: Unexpected indentation.
> > > > > Documentation/misc-devices/dw-xdata-pcie.rst:34: WARNING: Unexpected indentation.
> > > > > Documentation/misc-devices/dw-xdata-pcie.rst:35: WARNING: Block quote ends without a blank line; unexpected unindent.
> > > > > Documentation/misc-devices/dw-xdata-pcie.rst:40: WARNING: Unexpected indentation.
> > > > > 
> > > > > Introduced by commit
> > > > > 
> > > > >   e1181b5bbc3c ("Documentation: misc-devices: Add Documentation for dw-xdata-pcie driver")
> > > > 
> > > > Gustavo, can you send a follow-on patch to fix this up?
> > > 
> > > Yes, I have already made a fix for it.
> > > My apologies for my ignorance on this matter, there is some way to check 
> > > if my fixes are okay through some script or other way as Stephen has 
> > > done?
> > 
> > Yes, run 'make htmldocs' in the kernel tree with your change applied and
> > see if the warnings go away.
> 
> Done. I submitted now the v11 with the fixes.

I can not take these as your patches are already in my public tree.  I
can revert the existing ones, but that's a mess, just send me a set of
patches to fix this issue, like you would for any future change to this
driver.

thanks,

greg k-h